%define aurox_ver 9.3
%define rel 1

%define pkgbuild 1
%define api_version 0.6
#
# spec file for package clanlib (Version 0.6.5)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#
BuildRequires: freetype-devel >= 2.0
# For lua embedded scripting language support:
BuildRequires: lua >= 4.0 tolua >= 4.0
BuildRequires: directfb-devel freetype-devel hermes-devel libjpeg-devel libtiff-devel 
BuildRequires: mikmod libogg-devel libpng-devel libvorbis-devel XFree86-devel zlib-devel
BuildRequires: pkgconfig autoconf 

Name:         clanlib
License:      LGPL
Group:        System Environment/Libraries
URL:          http://www.clanlib.org/
Version:      0.6.5
Release: %{aurox_ver}.aur.%{rel}
Patch0: clanlib-0.6.5-const.patch
Patch1: clanlib-0.6.5-glx.patch
Patch2: clanlib_x11_mousewheel.patch
Patch3: ClanLib-0.6.5-assert.patch
Patch4: ClanLib-0.6.5-luatest.patch
Patch5: ClanLib-0.6.5-directfb.patch
Summary:      A portable interface for writing games
Source:       ClanLib-%{version}-%{pkgbuild}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
ClanLib delivers a platform independent interface to write games with.


%package devel
Requires:     clanlib
Summary:      A portable interface for writing games
Group:        Development/Libraries
Autoreqprov:  on                                                                

%description devel
ClanLib delivers a platform independent interface to write games with.


%prep
%setup -q -n ClanLib-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0 -b .wheel
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure --enable-asm386 --enable-vidmode --enable-joystick --enable-lua
make
make docs

%install
rm -rf $RPM_BUILD_ROOT

make    prefix=%{buildroot}%{_prefix} \
	mandir=%{buildroot}%{_mandir} \
	INC_PREFIX=%{buildroot}%{_includedir} \
	BIN_PREFIX=%{buildroot}%{_bindir} \
	LIB_PREFIX=%{buildroot}%{_libdir} \
	TARGET_PREFIX=%{buildroot}%{_libdir}/%{name} \
	install docs_install
						
mkdir -p $RPM_BUILD_ROOT/%{_docdir}
mv $RPM_BUILD_ROOT/usr/doc/ClanLib-docs-0.6.3 $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/libclan*.so.*
%doc COPYING CREDITS README NEWS

%files devel
%defattr(-, root, root)
%doc CODING_STYLE HARDWARE INSTALL.linux PATCHES README.* ROADMAP Documentation/*
#%{_libdir}/pkgconfig/clan*-%{api_version}.pc
#%{_mandir}/*/*
%{_bindir}/clanlib-config
%{_includedir}/ClanLib
%{_libdir}/libclan*.so
%{_libdir}/libclan*.a
#%{_libdir}/libclan*.la

%changelog
* Thu Jan 08 2004 Aurox Team <aurox@aurox.org> 0:0.6.5-9.3.aur.1
- fix compilation of directfb target
- BuildRequires tolua
- correct Groups
- Require tolua.h
- add patch to fix lua test
- fix lua package name
- rebuild with lua40
- add missing assert.h header to fix compilation error
- Specify reasonable BuildRequires for Aurox
- add mousewheel support using patch from pingus 0.6.0
- add Documentation content to docs in devel package
- revert to the 0.6.5
- fix building only; install using the Conectiva way
- fix building devel package
- Initial build for Aurox 9.2
- clean up
- no more make doc
- blah
- -build added
- foo
- Maybe 0.7 will be better
- Let's try again
- clean 1
- *-1
- gz -> bz2
- Other specfile
- Initial build for Aurox 9.2

* Tue Feb 25 2003 - aj@suse.de
- Include missing assert.
* Fri Feb 07 2003 - mcihar@suse.cz
- updated to 0.6.5:
- DirectFB updates.
- Misc minor bug fixes.
- compiled with joystick support
* Fri Feb 07 2003 - ro@suse.de
- DirectFB-0.9.16 changed DSPF_RGB15 to DSPF_ARGB1555
* Mon Aug 26 2002 - nadvornik@suse.cz
- fixed mode of doc files
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Thu Jul 04 2002 - ro@suse.de
- fix for libpng (add -lz)
* Mon Jun 17 2002 - meissner@suse.de
- also run suse_update_config so we get a new and fresh config.guess.
* Fri Jun 07 2002 - ro@suse.de
- use latest snapshot from 0.6 branch to compile with
  DirectFB 0.9.11
* Sat Jun 01 2002 - ro@suse.de
- changed neededforbuild <libmikmo> to <libmikmod>
* Mon May 06 2002 - ro@suse.de
- removed "-j3" from make call
* Fri May 03 2002 - pthomas@suse.de
- Update to 0.6.1.
- Fix code to compile with gcc 3.1.
- Remove 'using namespace std;' from clanlib header.
- Add patch to support DESTDIR.
- Enable support for vorbis.
- Add freetype2, pkgconfig, DirectFB, libogg and libvorbis
  to #neededforbuild.
* Fri Apr 26 2002 - stepan@suse.de
- fix lib path
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 23 2002 - nadvornik@suse.cz
- updated to 0.5.3
* Thu Nov 22 2001 - nadvornik@suse.cz
- fixed problem with absolute paths to resources
- do not use -mcpu=i686, it is not compiled correctly
* Tue Nov 13 2001 - nadvornik@suse.cz
- fixed to compile on ia64
* Mon Nov 12 2001 - nadvornik@suse.cz
- updated to 0.5.1
- many bugfixes
- updated documentation
* Mon Nov 12 2001 - ro@suse.de
- no svgalib
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Thu Aug 23 2001 - uli@suse.de
- build with RPM_OPT_FLAGS (i.e. with optimizations; seems to
  untrigger internal compiler error on IA64)
* Thu Jun 21 2001 - nadvornik@suse.cz
- some fixes for 64bit archs
* Wed Jun 06 2001 - nadvornik@suse.cz
- update to 0.5.0
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 22 2001 - nadvornik@suse.cz
- freetype in neededforbuild was needless, removed
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Feb 26 2001 - nadvornik@suse.cz
- fixed to compile on axp
* Mon Dec 11 2000 - kukuk@suse.de
- Remove Requires, RPM can solve this better
* Fri Jul 28 2000 - nadvornik@suse.cz
- compiled with xdevel3 to work with xf86 3.3.6
* Thu Jul 20 2000 - nadvornik@suse.cz
- fixed bug with mouse in fullscreen
* Thu Jul 13 2000 - nadvornik@suse.cz
- configure with --enable-vidmode
* Tue May 30 2000 - nadvornik@suse.cz
- update to 0.4.4
* Mon May 22 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
- added mesadev to neededforbuild
* Fri Apr 28 2000 - nadvornik@suse.cz
- fixed to compile with xf86-4.0
* Wed Apr 12 2000 - nadvornik@suse.cz
- update to 0.4.3
- added BuildRoot
- added URL
* Thu Mar 16 2000 - kukuk@suse.de
- Remove framebuffer support for SPARC
* Tue Mar 14 2000 - ro@suse.de
- fixed to compile on alpha
  Mon Feb 28 19:17:11 MET 2000 - sndirschsuse.de
- fixed some problems with undefined symbols in libclanMagick.so
- added shared library libMagick.so again for this
* Fri Feb 18 2000 - sndirsch@suse.de
- Magicklib is now built statically and not longer included by
  clanlib
* Fri Feb 18 2000 - sndirsch@suse.de
- updated to CVS tag "version-0-4-0-SuSE"
* Thu Feb 17 2000 - sndirsch@suse.de
- updated to release 0.4.0
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Thu Jan 20 2000 - sndirsch@suse.de
- added Requires field for libpng
* Tue Dec 28 1999 - sndirsch@suse.de
- created clanlib package
